跳转到主要内容
基础设施相关接口/生命周期
GETLifecycle起始版本 1.0同步需要认证

获取软件仓库配置

获取当前软件仓库配置包含模式端点。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • modeString

    软件仓库访问模式在线上游目录本地目录。

    示例: online

  • tokenString

    令牌。

    示例: ****

  • baseUrlString

    基础地址。

    示例: https://depot.example.com

  • channelString

    可选渠道过滤软件包列表。

    示例: stable

  • localDirString

    本地目录路径模式目录。

    示例: /opt/depot/packages

  • httpProxyString

    可选HTTP代理地址软件仓库访问。

    示例: http://proxy.example.com:3128

请求地址

GET/api/v1/lifecycle/depot/config

/api/v1/lifecycle/depot/config

操作 ID

GetDepotConfig

永久链接

请求示例

curl -X GET '{host}/api/v1/lifecycle/depot/config' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "mode": "online",
  "token": "****",
  "baseUrl": "https://depot.example.com",
  "channel": "stable",
  "localDir": "/opt/depot/packages",
  "httpProxy": "http://proxy.example.com:3128"
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史